// 导入组件，组件必须声明 name
import YYUMessage from './src'
import './index.css'

// 为组件提供 install 安装方法，供按需引入
YYUMessage.install = function (Vue) {
  Vue.component(YYUMessage.name, YYUMessage)
}

function message(obj){
  let { type='info', message, duration=2500 } = obj
  let body = null
  if(document.querySelector('.yyu-message-body')){
    body = document.querySelector('.yyu-message-body')
  }else{
    body = document.createElement('div')
    body.className = 'yyu-message-body'
    document.body.appendChild(body)
  }
  let oDiv = document.createElement('div')
  oDiv.innerHTML = message
  oDiv.className = 'yyu-message-' + type

  body.appendChild(oDiv)
  setTimeout(()=>{
    body.removeChild(oDiv)
  }, duration)
}

// 导出组件
// export default YYUMessage
export {
  YYUMessage,
  message
}
